
// GameAssistDlg.h : 头文件
//
#include "MouseAssist.h"
#pragma once


// CGameAssistDlg 对话框
class CGameAssistDlg : public CDialog
{
// 构造
public:
	CGameAssistDlg(CWnd* pParent = NULL);	// 标准构造函数

// 对话框数据
	enum { IDD = IDD_GAMEASSIST_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

	MouseAssist m_mouseAssist;
	HWND GetCurGameWnd();
	GameAssist::GameWndInfo* GetCurGameInfo();
	void InitSkillList();
public:
	afx_msg void OnBnClickedOpengame();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	CButton m_cbSummoner;
	afx_msg void OnBnClickedButton7();
	CButton m_cbZJ;
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton9();
	CButton m_cbZJ2;
	CButton m_cbAggressiveSkill;
	afx_msg void OnBnClickedButton10();
	CComboBox m_cbGameRole;
	afx_msg void OnBnClickedButton11();
	afx_msg void OnBnClickedButton12();
	CComboBox m_cbZYNPC;
	afx_msg void OnBnClickedButton13();
	afx_msg void OnBnClickedButton14();
	// 技能快捷键
	CComboBox m_cb_skill_list;
};
